import 'package:flutter/material.dart';
import 'package:nui_core/color/nui_colors.dart';

class NUIRippleContainer extends StatefulWidget {
  NUIRippleContainer({@required this.child, this.radius:0, this.borderRadius, this.rippleColor, this.normalColor:NUIColors.NUITransparent, this.onTap, this.onDoubleTap, this.onLongPress, Key key}) : super(key: key);
  final Widget child;
  final Color rippleColor;
  final Color normalColor;
  final GestureTapCallback onTap;
  final GestureTapCallback onDoubleTap;
  final GestureLongPressCallback onLongPress;
  final double radius;
  final BorderRadius borderRadius;
  @override
  _NUIRippleContainerState createState() => _NUIRippleContainerState();
}

class _NUIRippleContainerState extends State<NUIRippleContainer> {
  @override
  Widget build(BuildContext context) {
    return Material(
        color: widget.normalColor,
        child: InkWell(
          radius: widget.radius ?? 0,
          borderRadius: widget.borderRadius,
          splashColor: widget.rippleColor ?? NUIColors.NUIBlack.withOpacity(0.3),
          hoverColor: widget.rippleColor ?? NUIColors.NUIBlack.withOpacity(0.3),
          onTap:widget.onTap,
          onDoubleTap:widget.onDoubleTap,
          onLongPress: widget.onLongPress,
          child: widget.child,
        )
    );
  }
}
